Bug 61412

Summary: QClipboard in Qt-3.2 is broken and aborts apps
Product: [Frameworks and Libraries] kdelibs Reporter: Rob Kaper <webmaster>
Component: qtAssignee: Lubos Lunak <l.lunak>
Status: RESOLVED FIXED    
Severity: crash CC: amitshah, andihartmann, antoine.valentin, arnaud_oss, avbidder+kde, bramkamp, bugs.kde.org, chg110svhs, cmueller, code, dag, DanMoinescu, eggert, frederik, gritzko, gvs, jacum, janulrich.hasecke, jhollad, john.milton, kde.bugs, kdebugs, klee, kloecker, lpiccilli, michael, missive, murray, opensource, patrick, ragaprong, robert, roger.larsson, stacker_liew, tuomas, waif
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:
Sentry Crash Report:
Attachments: Qt patch (src/kernel)

Description Rob Kaper 2003-07-19 00:40:50 UTC
Version:           4.0 (using KDE 3.1.9)
Compiler:          gcc version 3.2
OS:          Linux (i686) release 2.4.19

Konq crashed when submitting an update to appsy (apps.kde.com), after a site-generated Javascript error messsage appeared:

[New Thread 16384 (LWP 1661)]
0x41354219 in wait4 () from /lib/libc.so.6
#0  0x41354219 in wait4 () from /lib/libc.so.6
#1  0x413d4230 in __DTOR_END__ () from /lib/libc.so.6
#2  0x4116b0f3 in waitpid () from /lib/libpthread.so.0
#3  0x4077b0f1 in KCrash::defaultCrashHandler(int) (sig=6) at kcrash.cpp:240
#4  <signal handler called>
#5  0x412cfb21 in kill () from /lib/libc.so.6
#6  0x4116880d in pthread_kill () from /lib/libpthread.so.0
#7  0x41168b8b in raise () from /lib/libpthread.so.0
#8  0x412d106c in abort () from /lib/libc.so.6
#9  0x40e7b643 in qFatal(char const*, ...) (
    msg=0x40f37840 "QClipboard: internal error, qt_xclb_wait_for_event recursed") at tools/qglobal.cpp:554
#10 0x40af5fed in qt_xclb_wait_for_event(_XDisplay*, unsigned long, int, _XEvent*, int) (dpy=0x80678a8, win=50334730, type=31, event=0xbfffcaa0, timeout=5000)
    at kernel/qclipboard_x11.cpp:447
#11 0x40af8b38 in QClipboardWatcher::getDataInFormat(unsigned long) const (
    this=0x87f7ff0, fmtatom=331) at kernel/qclipboard_x11.cpp:1374
#12 0x40af8241 in QClipboardWatcher::format(int) const (this=0x87f7ff0, n=0)
    at kernel/qclipboard_x11.cpp:1242
#13 0x40bae3bd in QMimeSource::provides(char const*) const (this=0x87f7ff0, 
    mimeType=0x419fc06e "text/plain") at kernel/qmime.cpp:134
#14 0x4185ed4c in KHTMLPartBrowserExtension::updateEditActions() (
    this=0x84a4a08) at khtml_ext.cpp:221
#15 0x4185e497 in KHTMLPartBrowserExtension::editableWidgetFocused(QWidget*) (
    this=0x84a4a08, widget=0x88c1d60) at khtml_ext.cpp:71
#16 0x418b43ec in DOM::HTMLGenericFormElementImpl::defaultEventHandler(DOM::EventImpl*) (this=0x88c1bb0, evt=0x8797548) at html_formimpl.cpp:659
#17 0x4187c8c8 in DOM::NodeImpl::dispatchGenericEvent(DOM::EventImpl*, int&) (
    this=0x88c1bb0, evt=0x8797548) at dom_nodeimpl.cpp:529
#18 0x4187c4d2 in DOM::NodeImpl::dispatchEvent(DOM::EventImpl*, int&, bool) (
    this=0x88c1bb0, evt=0x8797548, exceptioncode=@0xbfffcd48, tempEvent=true)
    at dom_nodeimpl.cpp:471
#19 0x4187ce9f in DOM::NodeImpl::dispatchUIEvent(int, int) (this=0x88c1bb0, 
    _id=1, detail=0) at dom_nodeimpl.cpp:662
#20 0x41875956 in DOM::DocumentImpl::setFocusNode(DOM::NodeImpl*) (
    this=0x8540b58, newFocusNode=0x88c1bb0) at dom_docimpl.cpp:1850
#21 0x418f4dc8 in khtml::RenderWidget::eventFilter(QObject*, QEvent*) (
    this=0x8720d0c, e=0xbfffd0c0) at render_replaced.cpp:404
#22 0x40bbaae2 in QObject::activate_filters(QEvent*) (this=0x88c1d60, 
    e=0xbfffd0c0) at kernel/qobject.cpp:902
#23 0x40bba954 in QObject::event(QEvent*) (this=0x88c1d60, e=0xbfffd0c0)
    at kernel/qobject.cpp:735
#24 0x40bf3e59 in QWidget::event(QEvent*) (this=0x88c1d60, e=0xbfffd0c0)
    at kernel/qwidget.cpp:4394
#25 0x40d23b25 in QTextEdit::event(QEvent*) (this=0x88c1d60, e=0xbfffd0c0)
    at widgets/qtextedit.cpp:1192
#26 0x418fbc5d in khtml::TextAreaWidget::event(QEvent*) (this=0x88c1d60, 
    e=0xbfffd0c0) at render_form.cpp:1293
#27 0x40b5aecb in QApplication::internalNotify(QObject*, QEvent*) (
    this=0xbffff4d0, receiver=0x88c1d60, e=0xbfffd0c0)
    at kernel/qapplication.cpp:2576
#28 0x40b5ab01 in QApplication::notify(QObject*, QEvent*) (this=0xbffff4d0, 
    receiver=0x88c1d60, e=0xbfffd0c0) at kernel/qapplication.cpp:2465
#29 0x406f2137 in KApplication::notify(QObject*, QEvent*) (this=0xbffff4d0, 
    receiver=0x88c1d60, event=0xbfffd0c0) at kapplication.cpp:460
#30 0x40048285 in QApplication::sendEvent(QObject*, QEvent*) (
    receiver=0x88c1d60, event=0xbfffd0c0)
    at /usr/local/qt/include/qapplication.h:478
#31 0x40bf160c in QWidget::setFocus() (this=0x88c1d60)
    at kernel/qwidget.cpp:3092
#32 0x40b5c734 in QApplication::setActiveWindow(QWidget*) (this=0xbffff4d0, 
    act=0x80ff760) at kernel/qapplication.cpp:3457
#33 0x40aeb0d9 in QApplication::x11ProcessEvent(_XEvent*) (this=0xbffff4d0, 
    event=0xbfffd450) at kernel/qapplication_x11.cpp:3591
#34 0x40b047d2 in QEventLoop::processEvents(unsigned) (this=0x80adeb0, 
    flags=15) at kernel/qeventloop_x11.cpp:192
#35 0x40af60bf in qt_xclb_wait_for_event(_XDisplay*, unsigned long, int, _XEvent*, int) (dpy=0x80678a8, win=50334730, type=31, event=0xbfffd560, timeout=5000)
    at kernel/qclipboard_x11.cpp:472
#36 0x40af8b38 in QClipboardWatcher::getDataInFormat(unsigned long) const (
    this=0x87f7ff0, fmtatom=331) at kernel/qclipboard_x11.cpp:1374
#37 0x40af8241 in QClipboardWatcher::format(int) const (this=0x87f7ff0, n=0)
    at kernel/qclipboard_x11.cpp:1242
#38 0x40bae3bd in QMimeSource::provides(char const*) const (this=0x87f7ff0, 
    mimeType=0x419fc06e "text/plain") at kernel/qmime.cpp:134
#39 0x4185ed4c in KHTMLPartBrowserExtension::updateEditActions() (
    this=0x84a4a08) at khtml_ext.cpp:221
#40 0x4185e497 in KHTMLPartBrowserExtension::editableWidgetFocused(QWidget*) (
    this=0x84a4a08, widget=0x88468f8) at khtml_ext.cpp:71
#41 0x418b43ec in DOM::HTMLGenericFormElementImpl::defaultEventHandler(DOM::EventImpl*) (this=0x8846788, evt=0x89c9358) at html_formimpl.cpp:659
#42 0x418b7bd0 in DOM::HTMLInputElementImpl::defaultEventHandler(DOM::EventImpl*) (this=0x8846788, evt=0x89c9358) at html_formimpl.cpp:1318
#43 0x4187c8c8 in DOM::NodeImpl::dispatchGenericEvent(DOM::EventImpl*, int&) (
    this=0x8846788, evt=0x89c9358) at dom_nodeimpl.cpp:529
#44 0x4187c4d2 in DOM::NodeImpl::dispatchEvent(DOM::EventImpl*, int&, bool) (
    this=0x8846788, evt=0x89c9358, exceptioncode=@0xbfffd838, tempEvent=true)
    at dom_nodeimpl.cpp:471
#45 0x4187ce9f in DOM::NodeImpl::dispatchUIEvent(int, int) (this=0x8846788, 
    _id=1, detail=0) at dom_nodeimpl.cpp:662
#46 0x41875956 in DOM::DocumentImpl::setFocusNode(DOM::NodeImpl*) (
    this=0x8540b58, newFocusNode=0x8846788) at dom_docimpl.cpp:1850
#47 0x418b7aa6 in DOM::HTMLInputElementImpl::focus() (this=0x8846788)
    at html_formimpl.cpp:1292
#48 0x419ea174 in DOM::HTMLInputElement::focus() (this=0xbfffd970)
    at html_form.cpp:551
#49 0x419681ce in KJS::HTMLElementFunction::tryCall(KJS::ExecState*, KJS::Object&, KJS::List const&) (this=0x875bb50, exec=0xbfffe0c0, thisObj=@0xbfffdcf0, 
    args=@0xbfffdd40) at kjs_html.cpp:2211
#50 0x419383ce in KJS::DOMFunction::call(KJS::ExecState*, KJS::Object&, KJS::List const&) (this=0x875bb50, exec=0xbfffe0c0, thisObj=@0xbfffdcf0, 
    args=@0xbfffdd40) at kjs_binding.cpp:109
#51 0x41af9c22 in KJS::Object::call(KJS::ExecState*, KJS::Object&, KJS::List const&) (this=0xbfffdd20, exec=0xbfffe0c0, thisObj=@0xbfffdcf0, args=@0xbfffdd40)
    at object.cpp:69
#52 0x41ac206d in KJS::FunctionCallNode::evaluate(KJS::ExecState*) const (
    this=0x88f4378, exec=0xbfffe0c0) at nodes.cpp:838
#53 0x41ac7967 in KJS::ExprStatementNode::execute(KJS::ExecState*) (
    this=0x88f4390, exec=0xbfffe0c0) at nodes.cpp:1940
#54 0x41ace0f2 in KJS::SourceElementsNode::execute(KJS::ExecState*) (
    this=0x88f42e0, exec=0xbfffe0c0) at nodes.cpp:3088
#55 0x41ac7793 in KJS::BlockNode::execute(KJS::ExecState*) (this=0x88f4490, 
    exec=0xbfffe0c0) at nodes.cpp:1902
#56 0x41ac7d41 in KJS::IfNode::execute(KJS::ExecState*) (this=0x88f44c0, 
    exec=0xbfffe0c0) at nodes.cpp:1980
#57 0x41ace0f2 in KJS::SourceElementsNode::execute(KJS::ExecState*) (
    this=0x88f3fd0, exec=0xbfffe0c0) at nodes.cpp:3088
#58 0x41ac7793 in KJS::BlockNode::execute(KJS::ExecState*) (this=0x88f4530, 
    exec=0xbfffe0c0) at nodes.cpp:1902
#59 0x41ac7d41 in KJS::IfNode::execute(KJS::ExecState*) (this=0x88f4560, 
    exec=0xbfffe0c0) at nodes.cpp:1980
#60 0x41ace0f2 in KJS::SourceElementsNode::execute(KJS::ExecState*) (
    this=0x8832080, exec=0xbfffe0c0) at nodes.cpp:3088
#61 0x41ac7793 in KJS::BlockNode::execute(KJS::ExecState*) (this=0x8929540, 
    exec=0xbfffe0c0) at nodes.cpp:1902
#62 0x41acd359 in KJS::FunctionBodyNode::execute(KJS::ExecState*) (
    this=0x8929540, exec=0xbfffe0c0) at nodes.cpp:2915
#63 0x41af48fa in KJS::DeclaredFunctionImp::execute(KJS::ExecState*) (
    this=0x8929620, exec=0xbfffe0c0) at function.cpp:579
#64 0x41af3a3f in KJS::FunctionImp::call(KJS::ExecState*, KJS::Object&, KJS::List const&) (this=0x8929620, exec=0xbfffe3e0, thisObj=@0xbfffe1b0, 
    args=@0xbfffe200) at function.cpp:354
#65 0x41af9c22 in KJS::Object::call(KJS::ExecState*, KJS::Object&, KJS::List const&) (this=0xbfffe1e0, exec=0xbfffe3e0, thisObj=@0xbfffe1b0, args=@0xbfffe200)
    at object.cpp:69
#66 0x41ac206d in KJS::FunctionCallNode::evaluate(KJS::ExecState*) const (
    this=0x8539b48, exec=0xbfffe3e0) at nodes.cpp:838
#67 0x41aca900 in KJS::ReturnNode::execute(KJS::ExecState*) (this=0x8602068, 
    exec=0xbfffe3e0) at nodes.cpp:2351
#68 0x41acdfc3 in KJS::SourceElementsNode::execute(KJS::ExecState*) (
    this=0x8481900, exec=0xbfffe3e0) at nodes.cpp:3082
#69 0x41ac7793 in KJS::BlockNode::execute(KJS::ExecState*) (this=0x85307c8, 
    exec=0xbfffe3e0) at nodes.cpp:1902
#70 0x41acd359 in KJS::FunctionBodyNode::execute(KJS::ExecState*) (
    this=0x85307c8, exec=0xbfffe3e0) at nodes.cpp:2915
#71 0x41af48fa in KJS::DeclaredFunctionImp::execute(KJS::ExecState*) (
    this=0x852d4d0, exec=0xbfffe3e0) at function.cpp:579
#72 0x41af3a3f in KJS::FunctionImp::call(KJS::ExecState*, KJS::Object&, KJS::List const&) (this=0x852d4d0, exec=0x84b6ef0, thisObj=@0xbfffe540, 
    args=@0xbfffe570) at function.cpp:354
#73 0x41af9c22 in KJS::Object::call(KJS::ExecState*, KJS::Object&, KJS::List const&) (this=0x859d9ac, exec=0x84b6ef0, thisObj=@0xbfffe540, args=@0xbfffe570)
    at object.cpp:69
#74 0x419ac6d2 in KJS::JSEventListener::handleEvent(DOM::Event&) (
    this=0x859d9a0, evt=@0xbfffe5d0) at kjs_events.cpp:97
#75 0x4187d16f in DOM::NodeImpl::handleLocalEvents(DOM::EventImpl*, bool) (
    this=0x86cfcb8, evt=0x89c0800, useCapture=false) at dom_nodeimpl.cpp:701
#76 0x4187c72c in DOM::NodeImpl::dispatchGenericEvent(DOM::EventImpl*, int&) (
    this=0x86cfcb8, evt=0x89c0800) at dom_nodeimpl.cpp:509
#77 0x4187c4d2 in DOM::NodeImpl::dispatchEvent(DOM::EventImpl*, int&, bool) (
    this=0x86cfcb8, evt=0x89c0800, exceptioncode=@0xbfffe6d8, tempEvent=true)
    at dom_nodeimpl.cpp:471
#78 0x4187ca6c in DOM::NodeImpl::dispatchHTMLEvent(int, bool, bool) (
    this=0x86cfcb8, _id=23, canBubbleArg=true, cancelableArg=true)
    at dom_nodeimpl.cpp:556
#79 0x418b3288 in DOM::HTMLFormElementImpl::prepareSubmit() (this=0x86cfcb8)
    at html_formimpl.cpp:369
#80 0x418b7c3f in DOM::HTMLInputElementImpl::activate() (this=0x88c5db8)
    at html_formimpl.cpp:1332
#81 0x418b7bbf in DOM::HTMLInputElementImpl::defaultEventHandler(DOM::EventImpl*) (this=0x88c5db8, evt=0x89c32a0) at html_formimpl.cpp:1315
#82 0x4187c8c8 in DOM::NodeImpl::dispatchGenericEvent(DOM::EventImpl*, int&) (
    this=0x88c5db8, evt=0x89c32a0) at dom_nodeimpl.cpp:529
#83 0x4187c4d2 in DOM::NodeImpl::dispatchEvent(DOM::EventImpl*, int&, bool) (
    this=0x88c5db8, evt=0x89c32a0, exceptioncode=@0xbfffe848, tempEvent=true)
    at dom_nodeimpl.cpp:471
#84 0x4187ce9f in DOM::NodeImpl::dispatchUIEvent(int, int) (this=0x88c5db8, 
    _id=3, detail=1) at dom_nodeimpl.cpp:662
#85 0x4187c93a in DOM::NodeImpl::dispatchGenericEvent(DOM::EventImpl*, int&) (
    this=0x88c5db8, evt=0x8797d80) at dom_nodeimpl.cpp:533
#86 0x4187c4d2 in DOM::NodeImpl::dispatchEvent(DOM::EventImpl*, int&, bool) (
    this=0x88c5db8, evt=0x8797d80, exceptioncode=@0xbfffe960, tempEvent=true)
    at dom_nodeimpl.cpp:471
#87 0x4187cdb9 in DOM::NodeImpl::dispatchMouseEvent(QMouseEvent*, int, int) (
    this=0x88c5db8, _mouse=0xbfffe990, overrideId=4, overrideDetail=1)
    at dom_nodeimpl.cpp:642
#88 0x418f5b78 in khtml::RenderFormElement::slotClicked() (this=0x8721000)
    at render_form.cpp:103
#89 0x418fc9e2 in khtml::RenderFormElement::qt_invoke(int, QUObject*) (
    this=0x8721000, _id=3, _o=0xbfffeab0) at render_form.moc:86
#90 0x418fcbba in khtml::RenderButton::qt_invoke(int, QUObject*) (
    this=0x8721000, _id=3, _o=0xbfffeab0) at render_form.moc:165
#91 0x40bbceb3 in QObject::activate_signal(QConnectionList*, QUObject*) (
    this=0x88c61e0, clist=0x88c6508, o=0xbfffeab0) at kernel/qobject.cpp:2333
#92 0x40bbcd52 in QObject::activate_signal(int) (this=0x88c61e0, signal=4)
    at kernel/qobject.cpp:2302
#93 0x40efc545 in QButton::clicked() (this=0x88c61e0)
    at .moc/debug-shared-mt/moc_qbutton.cpp:152
#94 0x40c501b7 in QButton::mouseReleaseEvent(QMouseEvent*) (this=0x88c61e0, 
    e=0xbfffee40) at widgets/qbutton.cpp:820
#95 0x40bf3f35 in QWidget::event(QEvent*) (this=0x88c61e0, e=0xbfffee40)
    at kernel/qwidget.cpp:4412
#96 0x40b5aecb in QApplication::internalNotify(QObject*, QEvent*) (
    this=0xbffff4d0, receiver=0x88c61e0, e=0xbfffee40)
    at kernel/qapplication.cpp:2576
#97 0x40b5a68f in QApplication::notify(QObject*, QEvent*) (this=0xbffff4d0, 
    receiver=0x88c61e0, e=0xbfffee40) at kernel/qapplication.cpp:2363
#98 0x406f2137 in KApplication::notify(QObject*, QEvent*) (this=0xbffff4d0, 
    receiver=0x88c61e0, event=0xbfffee40) at kapplication.cpp:460
#99 0x40af3813 in QApplication::sendSpontaneousEvent(QObject*, QEvent*) (
    receiver=0x88c61e0, event=0xbfffee40) at kernel/qapplication.h:493
#100 0x40aed0ff in QETWidget::translateMouseEvent(_XEvent const*) (
    this=0x88c61e0, event=0xbffff130) at kernel/qapplication_x11.cpp:4349
#101 0x40aeae20 in QApplication::x11ProcessEvent(_XEvent*) (this=0xbffff4d0, 
    event=0xbffff130) at kernel/qapplication_x11.cpp:3525
#102 0x40b047d2 in QEventLoop::processEvents(unsigned) (this=0x80adeb0, 
    flags=4) at kernel/qeventloop_x11.cpp:192
#103 0x40b70586 in QEventLoop::enterLoop() (this=0x80adeb0)
    at kernel/qeventloop.cpp:198
#104 0x40b704a2 in QEventLoop::exec() (this=0x80adeb0)
    at kernel/qeventloop.cpp:145
#105 0x40b5b045 in QApplication::exec() (this=0xbffff4d0)
    at kernel/qapplication.cpp:2699
#106 0x41524fb7 in kdemain (argc=4, argv=0x8061220) at konq_main.cc:164
#107 0x0804e069 in launch (argc=4, _name=0x80612fc "konqueror", 
    args=0x806132e "/home/cap", cwd=0x806132e "/home/cap", envc=37, 
    envs=0x806172d "", reset_env=true, tty=0x0, avoid_loops=false, 
    startup_id_str=0x8061731 "kira;1058558727;738585;185") at kinit.cpp:579
#108 0x0804f073 in handle_launcher_request (sock=4) at kinit.cpp:1064
#109 0x0804f614 in handle_requests (waitForPid=0) at kinit.cpp:1223
#110 0x0805080d in main (argc=3, argv=0xbffffb64, envp=0xbffffb74)
    at kinit.cpp:1594
#111 0x412bbb34 in __libc_start_main () from /lib/libc.so.6

Then, when I started a new Konq from kicker, I got a similar sigabrt, this time without KHTML, just Konq mainwindow:

[New Thread 16384 (LWP 2908)]
0x41354219 in wait4 () from /lib/libc.so.6
#0  0x41354219 in wait4 () from /lib/libc.so.6
#1  0x413d4230 in __DTOR_END__ () from /lib/libc.so.6
#2  0x4116b0f3 in waitpid () from /lib/libpthread.so.0
#3  0x4077b0f1 in KCrash::defaultCrashHandler(int) (sig=6) at kcrash.cpp:240
#4  <signal handler called>
#5  0x412cfb21 in kill () from /lib/libc.so.6
#6  0x4116880d in pthread_kill () from /lib/libpthread.so.0
#7  0x41168b8b in raise () from /lib/libpthread.so.0
#8  0x412d106c in abort () from /lib/libc.so.6
#9  0x40e7b643 in qFatal(char const*, ...) (
    msg=0x40f37840 "QClipboard: internal error, qt_xclb_wait_for_event recursed") at tools/qglobal.cpp:554
#10 0x40af5fed in qt_xclb_wait_for_event(_XDisplay*, unsigned long, int, _XEvent*, int) (dpy=0x8067540, win=50332321, type=31, event=0xbfffdf40, timeout=5000)
    at kernel/qclipboard_x11.cpp:447
#11 0x40af8b38 in QClipboardWatcher::getDataInFormat(unsigned long) const (
    this=0x82bd230, fmtatom=331) at kernel/qclipboard_x11.cpp:1374
#12 0x40af8241 in QClipboardWatcher::format(int) const (this=0x82bd230, n=0)
    at kernel/qclipboard_x11.cpp:1242
#13 0x40bae3bd in QMimeSource::provides(char const*) const (this=0x82bd230, 
    mimeType=0x4158d11f "text/plain") at kernel/qmime.cpp:134
#14 0x4156ea70 in KonqMainWindow::slotClipboardDataChanged() (this=0x80f1d48)
    at konq_mainwindow.cc:2876
#15 0x4156e373 in KonqMainWindow::eventFilter(QObject*, QEvent*) (
    this=0x80f1d48, obj=0x81c5f08, ev=0xbfffe420) at konq_mainwindow.cc:2813
#16 0x40bbaae2 in QObject::activate_filters(QEvent*) (this=0x81c5f08, 
    e=0xbfffe420) at kernel/qobject.cpp:902
#17 0x40bba954 in QObject::event(QEvent*) (this=0x81c5f08, e=0xbfffe420)
    at kernel/qobject.cpp:735
#18 0x40bf3e59 in QWidget::event(QEvent*) (this=0x81c5f08, e=0xbfffe420)
    at kernel/qwidget.cpp:4394
#19 0x40c8897e in QLineEdit::event(QEvent*) (this=0x81c5f08, e=0xbfffe420)
    at widgets/qlineedit.cpp:1404
#20 0x40b5aecb in QApplication::internalNotify(QObject*, QEvent*) (
    this=0xbffff4d0, receiver=0x81c5f08, e=0xbfffe420)
    at kernel/qapplication.cpp:2576
#21 0x40b5ab01 in QApplication::notify(QObject*, QEvent*) (this=0xbffff4d0, 
    receiver=0x81c5f08, e=0xbfffe420) at kernel/qapplication.cpp:2465
#22 0x406f2137 in KApplication::notify(QObject*, QEvent*) (this=0xbffff4d0, 
    receiver=0x81c5f08, event=0xbfffe420) at kapplication.cpp:460
#23 0x40048285 in QApplication::sendEvent(QObject*, QEvent*) (
    receiver=0x81c5f08, event=0xbfffe420)
    at /usr/local/qt/include/qapplication.h:478
#24 0x40bf160c in QWidget::setFocus() (this=0x81c5f08)
    at kernel/qwidget.cpp:3092
#25 0x40b5c734 in QApplication::setActiveWindow(QWidget*) (this=0xbffff4d0, 
    act=0x80f1d48) at kernel/qapplication.cpp:3457
#26 0x40aeb0d9 in QApplication::x11ProcessEvent(_XEvent*) (this=0xbffff4d0, 
    event=0xbfffe7b0) at kernel/qapplication_x11.cpp:3591
#27 0x40b047d2 in QEventLoop::processEvents(unsigned) (this=0x80adb98, 
    flags=15) at kernel/qeventloop_x11.cpp:192
#28 0x40af60bf in qt_xclb_wait_for_event(_XDisplay*, unsigned long, int, _XEvent*, int) (dpy=0x8067540, win=50332321, type=31, event=0xbfffe8c0, timeout=5000)
    at kernel/qclipboard_x11.cpp:472
#29 0x40af8b38 in QClipboardWatcher::getDataInFormat(unsigned long) const (
    this=0x82bd230, fmtatom=331) at kernel/qclipboard_x11.cpp:1374
#30 0x40af8241 in QClipboardWatcher::format(int) const (this=0x82bd230, n=0)
    at kernel/qclipboard_x11.cpp:1242
#31 0x40bae3bd in QMimeSource::provides(char const*) const (this=0x82bd230, 
    mimeType=0x4158d11f "text/plain") at kernel/qmime.cpp:134
#32 0x4156ea70 in KonqMainWindow::slotClipboardDataChanged() (this=0x80f1d48)
    at konq_mainwindow.cc:2876
#33 0x4156e373 in KonqMainWindow::eventFilter(QObject*, QEvent*) (
    this=0x80f1d48, obj=0x81c5f08, ev=0xbfffeda0) at konq_mainwindow.cc:2813
#34 0x40bbaae2 in QObject::activate_filters(QEvent*) (this=0x81c5f08, 
    e=0xbfffeda0) at kernel/qobject.cpp:902
#35 0x40bba954 in QObject::event(QEvent*) (this=0x81c5f08, e=0xbfffeda0)
    at kernel/qobject.cpp:735
#36 0x40bf3e59 in QWidget::event(QEvent*) (this=0x81c5f08, e=0xbfffeda0)
    at kernel/qwidget.cpp:4394
#37 0x40c8897e in QLineEdit::event(QEvent*) (this=0x81c5f08, e=0xbfffeda0)
    at widgets/qlineedit.cpp:1404
#38 0x40b5aecb in QApplication::internalNotify(QObject*, QEvent*) (
    this=0xbffff4d0, receiver=0x81c5f08, e=0xbfffeda0)
    at kernel/qapplication.cpp:2576
#39 0x40b5ab01 in QApplication::notify(QObject*, QEvent*) (this=0xbffff4d0, 
    receiver=0x81c5f08, e=0xbfffeda0) at kernel/qapplication.cpp:2465
#40 0x406f2137 in KApplication::notify(QObject*, QEvent*) (this=0xbffff4d0, 
    receiver=0x81c5f08, event=0xbfffeda0) at kapplication.cpp:460
#41 0x40048285 in QApplication::sendEvent(QObject*, QEvent*) (
    receiver=0x81c5f08, event=0xbfffeda0)
    at /usr/local/qt/include/qapplication.h:478
#42 0x40bf160c in QWidget::setFocus() (this=0x81c5f08)
    at kernel/qwidget.cpp:3092
#43 0x40b5c734 in QApplication::setActiveWindow(QWidget*) (this=0xbffff4d0, 
    act=0x80f1d48) at kernel/qapplication.cpp:3457
#44 0x40aeb0d9 in QApplication::x11ProcessEvent(_XEvent*) (this=0xbffff4d0, 
    event=0xbffff130) at kernel/qapplication_x11.cpp:3591
#45 0x40b047d2 in QEventLoop::processEvents(unsigned) (this=0x80adb98, flags=4)
    at kernel/qeventloop_x11.cpp:192
#46 0x40b70586 in QEventLoop::enterLoop() (this=0x80adb98)
    at kernel/qeventloop.cpp:198
#47 0x40b704a2 in QEventLoop::exec() (this=0x80adb98)
    at kernel/qeventloop.cpp:145
#48 0x40b5b045 in QApplication::exec() (this=0xbffff4d0)
    at kernel/qapplication.cpp:2699
#49 0x41524fb7 in kdemain (argc=2, argv=0x805f5e8) at konq_main.cc:164
#50 0x0804e069 in launch (argc=2, _name=0x80607d4 "konqueror", 
    args=0x80607e7 "\001", cwd=0x0, envc=1, envs=0x80607f8 "", 
    reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x80607fc "kira;1058567623;159526;185") at kinit.cpp:579
#51 0x0804f073 in handle_launcher_request (sock=7) at kinit.cpp:1064
#52 0x0804f672 in handle_requests (waitForPid=0) at kinit.cpp:1233
#53 0x0805080d in main (argc=3, argv=0xbffffb64, envp=0xbffffb74)
    at kinit.cpp:1594
#54 0x412bbb34 in __libc_start_main () from /lib/libc.so.6
Comment 1 Lubos Lunak 2003-10-10 14:03:01 UTC
Part of qt-bugs@ issue 15222. 
 
Comment 2 Lubos Lunak 2003-10-10 14:06:30 UTC
*** Bug 64791 has been marked as a duplicate of this bug. ***
Comment 3 Thiago Macieira 2003-11-04 22:19:56 UTC
*** Bug 67215 has been marked as a duplicate of this bug. ***
Comment 4 Stephan Kulow 2003-11-13 14:25:56 UTC
*** Bug 67965 has been marked as a duplicate of this bug. ***
Comment 5 Jacob 2003-11-20 06:34:21 UTC
I just had this bug trigger as described in bug 67965, only this time, klipper
was not running.  Therefore klipper is not required, but it does make the bug
much easier to reproduce.
Comment 6 Thiago Macieira 2003-11-22 22:18:11 UTC
*** Bug 68749 has been marked as a duplicate of this bug. ***
Comment 7 Ingo Klöcker 2003-12-08 01:21:29 UTC
I can trigger this bug 100% reproducible by dragging a local file from the History/Miscellaneous in the Navigation Panel to another Konqueror instance.
Comment 8 markus 2003-12-11 11:29:29 UTC
its really a bad bug. no crash dialog. gets me to kde3.1.3 again. because slack uses qt 3.1.2 then. qt 3.2* causes konqueror to stop without saying something :)
cvs kde 3.2 (beta2) has this too. cant wait to see it fixed. qt people say its a kde bug. kde says its qt bug ;)
Comment 9 Lubos Lunak 2003-12-11 12:55:12 UTC
'qt people say its a kde bug'
Huh? It _cannot_ be KDE bug. Could you please provide me with the mails or whatever with details about this (to my mail)?
Comment 10 Maksim Orlovich 2004-01-11 19:16:36 UTC
*** Bug 72151 has been marked as a duplicate of this bug. ***
Comment 11 Stephan Kulow 2004-01-14 09:46:24 UTC
*** Bug 72613 has been marked as a duplicate of this bug. ***
Comment 12 Waldo Bastian 2004-01-19 16:06:53 UTC
*** Bug 66209 has been marked as a duplicate of this bug. ***
Comment 13 Ingo Klöcker 2004-01-19 22:18:06 UTC
I also just experienced this crash (using qt-copy from before Qt 3.3 Beta 1 was committed). I had just sent a message with KMail when a Konqueror window which was showing one of my bugs.kde.org queries crashed. I didn't do anything with this window, but it's possible that this window got the focus after the message composer window was closed.

The backtrace:

[New Thread 16384 (LWP 2626)]
0x4148d387 in waitpid () from /lib/libpthread.so.0
#0  0x4148d387 in waitpid () from /lib/libpthread.so.0
#1  0x407cc92f in KCrash::defaultCrashHandler(int) (sig=6)
    at /home/ingo/cvs/kde/3.2/kdelibs/kdecore/kcrash.cpp:246
#2  0x4148c1ec in __pthread_sighandler () from /lib/libpthread.so.0
#3  <signal handler called>
#4  0x415ff471 in kill () from /lib/libc.so.6
#5  0x41489521 in pthread_kill () from /lib/libpthread.so.0
#6  0x4148983b in raise () from /lib/libpthread.so.0
#7  0x415ff204 in raise () from /lib/libc.so.6
#8  0x41600830 in abort () from /lib/libc.so.6
#9  0x40efd3bf in qFatal(char const*, ...) (
    msg=0x40fbb040 "QClipboard: internal error, qt_xclb_wait_for_event recursed") at /home/ingo/cvs/kde/qt-copy/src/tools/qglobal.cpp:564
#10 0x40b6b22d in qt_xclb_wait_for_event(_XDisplay*, unsigned long, int, _XEvent*, int) (dpy=0x80650b8, win=111150040, type=31, event=0xbfffdb20, timeout=5000)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qclipboard_x11.cpp:454
#11 0x40b6dd7c in QClipboardWatcher::getDataInFormat(unsigned long) const (
    this=0x811c190, fmtatom=427)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qclipboard_x11.cpp:1381
#12 0x40b6d485 in QClipboardWatcher::format(int) const (this=0x811c190, n=0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qclipboard_x11.cpp:1249
#13 0x40c25cf5 in QMimeSource::provides(char const*) const (this=0x811c190, 
    mimeType=0x418d787f "text/plain")
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qmime.cpp:134
#14 0x418b9a48 in KonqMainWindow::slotClipboardDataChanged() (this=0x8117dc0)
    at /home/ingo/cvs/kde/3.2/kdebase/konqueror/konq_mainwindow.cc:2985
#15 0x418b93ab in KonqMainWindow::eventFilter(QObject*, QEvent*) (
    this=0x8117dc0, obj=0x81f4e70, ev=0xbfffe0d0)
    at /home/ingo/cvs/kde/3.2/kdebase/konqueror/konq_mainwindow.cc:2926
#16 0x40c324dc in QObject::activate_filters(QEvent*) (this=0x81f4e70, 
    e=0xbfffe0d0) at /home/ingo/cvs/kde/qt-copy/src/kernel/qobject.cpp:902
#17 0x40c3234e in QObject::event(QEvent*) (this=0x81f4e70, e=0xbfffe0d0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qobject.cpp:735
#18 0x40c6bf31 in QWidget::event(QEvent*) (this=0x81f4e70, e=0xbfffe0d0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qwidget.cpp:4408
#19 0x40d015c2 in QLineEdit::event(QEvent*) (this=0x81f4e70, e=0xbfffe0d0)
    at /home/ingo/cvs/kde/qt-copy/src/widgets/qlineedit.cpp:1406
#20 0x40bd1b05 in QApplication::internalNotify(QObject*, QEvent*) (
    this=0xbffff0c0, receiver=0x81f4e70, e=0xbfffe0d0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qapplication.cpp:2582
#21 0x40bd1735 in QApplication::notify(QObject*, QEvent*) (this=0xbffff0c0, 
    receiver=0x81f4e70, e=0xbfffe0d0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qapplication.cpp:2470
#22 0x4074342d in KApplication::notify(QObject*, QEvent*) (this=0xbffff0c0, 
    receiver=0x81f4e70, event=0xbfffe0d0)
    at /home/ingo/cvs/kde/3.2/kdelibs/kdecore/kapplication.cpp:505
#23 0x4004a2c3 in QApplication::sendEvent(QObject*, QEvent*) (
    receiver=0x81f4e70, event=0xbfffe0d0)
    at /opt/qt-copy/include/qapplication.h:492
#24 0x40c696b6 in QWidget::setFocus() (this=0x81f4e70)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qwidget.cpp:3099
#25 0x40bd336c in QApplication::setActiveWindow(QWidget*) (this=0xbffff0c0, 
    act=0x8117dc0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qapplication.cpp:3463
#26 0x40b601e8 in QApplication::x11ProcessEvent(_XEvent*) (this=0xbffff0c0, 
    event=0xbfffe440)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qapplication_x11.cpp:3595
#27 0x40b79b70 in QEventLoop::processEvents(unsigned) (this=0x80bf940, 
    flags=15) at /home/ingo/cvs/kde/qt-copy/src/kernel/qeventloop_x11.cpp:192
#28 0x40b6b2ff in qt_xclb_wait_for_event(_XDisplay*, unsigned long, int, _XEvent*, int) (dpy=0x80650b8, win=111150040, type=31, event=0xbfffe540, timeout=5000)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qclipboard_x11.cpp:479
#29 0x40b6dd7c in QClipboardWatcher::getDataInFormat(unsigned long) const (
    this=0x811c190, fmtatom=427)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qclipboard_x11.cpp:1381
#30 0x40b6d485 in QClipboardWatcher::format(int) const (this=0x811c190, n=0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qclipboard_x11.cpp:1249
#31 0x40c25cf5 in QMimeSource::provides(char const*) const (this=0x811c190, 
    mimeType=0x418d787f "text/plain")
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qmime.cpp:134
#32 0x418b9a48 in KonqMainWindow::slotClipboardDataChanged() (this=0x8117dc0)
    at /home/ingo/cvs/kde/3.2/kdebase/konqueror/konq_mainwindow.cc:2985
#33 0x418b93ab in KonqMainWindow::eventFilter(QObject*, QEvent*) (
    this=0x8117dc0, obj=0x81f4e70, ev=0xbfffeaf0)
    at /home/ingo/cvs/kde/3.2/kdebase/konqueror/konq_mainwindow.cc:2926
#34 0x40c324dc in QObject::activate_filters(QEvent*) (this=0x81f4e70, 
    e=0xbfffeaf0) at /home/ingo/cvs/kde/qt-copy/src/kernel/qobject.cpp:902
#35 0x40c3234e in QObject::event(QEvent*) (this=0x81f4e70, e=0xbfffeaf0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qobject.cpp:735
#36 0x40c6bf31 in QWidget::event(QEvent*) (this=0x81f4e70, e=0xbfffeaf0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qwidget.cpp:4408
#37 0x40d015c2 in QLineEdit::event(QEvent*) (this=0x81f4e70, e=0xbfffeaf0)
    at /home/ingo/cvs/kde/qt-copy/src/widgets/qlineedit.cpp:1406
#38 0x40bd1b05 in QApplication::internalNotify(QObject*, QEvent*) (
    this=0xbffff0c0, receiver=0x81f4e70, e=0xbfffeaf0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qapplication.cpp:2582
#39 0x40bd1735 in QApplication::notify(QObject*, QEvent*) (this=0xbffff0c0, 
    receiver=0x81f4e70, e=0xbfffeaf0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qapplication.cpp:2470
#40 0x4074342d in KApplication::notify(QObject*, QEvent*) (this=0xbffff0c0, 
    receiver=0x81f4e70, event=0xbfffeaf0)
    at /home/ingo/cvs/kde/3.2/kdelibs/kdecore/kapplication.cpp:505
#41 0x4004a2c3 in QApplication::sendEvent(QObject*, QEvent*) (
    receiver=0x81f4e70, event=0xbfffeaf0)
    at /opt/qt-copy/include/qapplication.h:492
#42 0x40c696b6 in QWidget::setFocus() (this=0x81f4e70)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qwidget.cpp:3099
#43 0x40bd336c in QApplication::setActiveWindow(QWidget*) (this=0xbffff0c0, 
    act=0x8117dc0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qapplication.cpp:3463
#44 0x40b601e8 in QApplication::x11ProcessEvent(_XEvent*) (this=0xbffff0c0, 
    event=0xbfffee60)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qapplication_x11.cpp:3595
#45 0x40b79b70 in QEventLoop::processEvents(unsigned) (this=0x80bf940, flags=4)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qeventloop_x11.cpp:192
#46 0x40be75fa in QEventLoop::enterLoop() (this=0x80bf940)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qeventloop.cpp:198
#47 0x40be7516 in QEventLoop::exec() (this=0x80bf940)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qeventloop.cpp:145
#48 0x40bd1c85 in QApplication::exec() (this=0xbffff0c0)
    at /home/ingo/cvs/kde/qt-copy/src/kernel/qapplication.cpp:2705
#49 0x41869673 in kdemain (argc=3, argv=0x80635b0)
    at /home/ingo/cvs/kde/3.2/kdebase/konqueror/konq_main.cc:184
#50 0x0804e1fe in launch (argc=3, _name=0x806307c "konqueror", 
    args=0x80630c6 "", cwd=0x0, envc=0, envs=0x80630ca "", reset_env=false, 
    tty=0x0, avoid_loops=false, startup_id_str=0x8052d27 "0")
    at /home/ingo/cvs/kde/3.2/kdelibs/kinit/kinit.cpp:604
#51 0x0804f4f3 in handle_launcher_request (sock=8)
    at /home/ingo/cvs/kde/3.2/kdelibs/kinit/kinit.cpp:1167
#52 0x0804fbdc in handle_requests (waitForPid=0)
    at /home/ingo/cvs/kde/3.2/kdelibs/kinit/kinit.cpp:1360
#53 0x08051061 in main (argc=3, argv=0xbffff6c4, envp=0xbffff6d4)
    at /home/ingo/cvs/kde/3.2/kdelibs/kinit/kinit.cpp:1797
#54 0x415eb857 in __libc_start_main () from /lib/libc.so.6
Comment 14 Waldo Bastian 2004-01-20 21:51:18 UTC
*** Bug 68412 has been marked as a duplicate of this bug. ***
Comment 15 Waldo Bastian 2004-01-20 21:53:21 UTC
*** Bug 69467 has been marked as a duplicate of this bug. ***
Comment 16 Waldo Bastian 2004-01-22 16:18:18 UTC
*** Bug 72453 has been marked as a duplicate of this bug. ***
Comment 17 Lubos Lunak 2004-01-22 19:28:01 UTC
*** Bug 73080 has been marked as a duplicate of this bug. ***
Comment 18 Lubos Lunak 2004-01-22 20:06:02 UTC
Created attachment 4297 [details]
Qt patch (src/kernel)

Those of you who can repeatedly reproduce the problem, please try if this Qt
patch helps. It should apply to both Qt-3.2.x and Qt-3.3.x.

And those of you who have reported this problem to qt-bugs@trolltech.com,
please add the issue number here.
Comment 19 markus 2004-01-26 15:14:47 UTC
i patched qt 3.2.2 from slackware current with its skripts plus this patch and it did not crash since then. i add commentary if it happens :)
Markus
Comment 20 Tuomas Suutari 2004-01-26 22:35:49 UTC
I tried this patch too. And it did the trick. =)

Previously my Konqueror was silently killed, if I switched from another desktop to Konquerors one. If Konquerors location field was selected, Konqueror just disappeared. But not anymore.

Nice work. Thanks.

btw. Version of qt I applied the patch to was Gentoo's qt-3.2.3-r1.
Comment 21 Waldo Bastian 2004-01-29 16:29:00 UTC
*** Bug 72595 has been marked as a duplicate of this bug. ***
Comment 22 Stephan Kulow 2004-01-30 10:31:01 UTC
*** Bug 73804 has been marked as a duplicate of this bug. ***
Comment 23 Stephan Kulow 2004-02-04 16:24:07 UTC
*** Bug 74131 has been marked as a duplicate of this bug. ***
Comment 24 Waldo Bastian 2004-02-11 15:55:38 UTC
*** Bug 65705 has been marked as a duplicate of this bug. ***
Comment 25 Waldo Bastian 2004-02-17 22:09:16 UTC
*** Bug 68959 has been marked as a duplicate of this bug. ***
Comment 26 Waldo Bastian 2004-02-18 15:11:04 UTC
*** Bug 69827 has been marked as a duplicate of this bug. ***
Comment 27 Waldo Bastian 2004-02-18 15:42:42 UTC
*** Bug 70430 has been marked as a duplicate of this bug. ***
Comment 28 Waldo Bastian 2004-02-18 16:56:46 UTC
*** Bug 71309 has been marked as a duplicate of this bug. ***
Comment 29 Waldo Bastian 2004-02-19 16:17:38 UTC
*** Bug 73233 has been marked as a duplicate of this bug. ***
Comment 30 Lubos Lunak 2004-02-23 17:49:25 UTC
*** Bug 75694 has been marked as a duplicate of this bug. ***
Comment 31 Lubos Lunak 2004-02-23 17:51:16 UTC
*** Bug 73862 has been marked as a duplicate of this bug. ***
Comment 32 Pablo 2004-02-25 17:14:20 UTC
It's working fine here after applying the patch to Gentoo's qt-3.3.0-r1.

Thx for fixing it :)
Comment 33 Stephan Kulow 2004-02-26 16:35:41 UTC
*** Bug 76202 has been marked as a duplicate of this bug. ***
Comment 34 Waldo Bastian 2004-02-29 23:27:22 UTC
*** Bug 75993 has been marked as a duplicate of this bug. ***
Comment 35 Waldo Bastian 2004-03-01 12:41:41 UTC
*** Bug 76303 has been marked as a duplicate of this bug. ***
Comment 36 Maksim Orlovich 2004-03-05 04:10:47 UTC
*** Bug 75353 has been marked as a duplicate of this bug. ***
Comment 37 Tommi Tervo 2004-03-05 14:04:23 UTC
*** Bug 76821 has been marked as a duplicate of this bug. ***
Comment 38 Nick Steeves 2004-03-13 22:32:34 UTC
I have identitical behavior to Bug 68412, but with KDE-3.2.0

(no debugging symbols found)...0x411a7347 in waitpid ()
   from /lib/libpthread.so.0
#0  0x411a7347 in waitpid () from /lib/libpthread.so.0
#1  0x40711fb0 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/./libkdecore.so.4
#2  0x411a5f8c in __pthread_clock_settime () from /lib/libpthread.so.0
#3  <signal handler called>
#4  0x4153c6df in KonqView::eventFilter(QObject*, QEvent*) ()
   from /usr/lib/./libkdeinit_konqueror.so
#5  0xbfffe870 in ?? ()
Comment 39 Ernst de Haan 2004-04-03 18:08:12 UTC
Same here, with KDE 3.2.1 (compiled from sources), on FreeBSD 4.9-STABLE.

Message I get is:
QClipboard: internal error, qt_xclb_wait_for_event recursed
Comment 40 Maksim Orlovich 2004-04-14 17:17:42 UTC
*** Bug 79635 has been marked as a duplicate of this bug. ***
Comment 41 Lubos Lunak 2004-04-20 17:57:35 UTC
This one should be fixed in Qt-3.3.2.
Comment 42 Maksim Orlovich 2004-05-04 18:05:28 UTC
*** Bug 80906 has been marked as a duplicate of this bug. ***
Comment 43 Maksim Orlovich 2004-05-11 19:30:59 UTC
*** Bug 81358 has been marked as a duplicate of this bug. ***
Comment 44 Stephan Kulow 2004-05-15 13:02:08 UTC
*** Bug 56759 has been marked as a duplicate of this bug. ***
Comment 45 Eduardo Robles Elvira 2004-05-25 17:38:23 UTC
I'm using KDE 3.2.2, and I get the same error *sometimes* (i.e. not always, and rather randmly) when I drag an image from konqueror to KDE desktop:

QClipboard: internal error, qt_xclb_wait_for_event recursed

Kdesktop crashes and closes: icons dissapear from the desktop et all. Execting kdesktop fo course gives me back the desktop icons and the remaining kdesktop things.
Comment 46 Eduardo Robles Elvira 2004-05-31 10:35:15 UTC
It has happened one more time, with a different behaviour:

The "QClipboard: internal error, qt_xclb_wait_for_event recursed" error appeared once more to me doing normal file managing tasks with konqueror (KDE 3.2.2). This time I had lockups and crashes of many apps. My whole desktop (even Mozilla Firefox 0.8! ?) became really inestable and I had to close sesion. Restarting session solved the temporal problem.

However, I  haven't managed to reproduce the bug, and no valid backtrace was ever given. Anyone has an idea about what happened?
Comment 47 Maksim Orlovich 2004-06-07 00:22:31 UTC
*** Bug 82959 has been marked as a duplicate of this bug. ***
Comment 48 Maksim Orlovich 2004-06-10 22:38:11 UTC
*** Bug 79272 has been marked as a duplicate of this bug. ***
Comment 49 Maksim Orlovich 2004-06-10 22:38:40 UTC
*** Bug 79069 has been marked as a duplicate of this bug. ***
Comment 50 Mathieu Jobin 2004-06-11 00:14:28 UTC
does upgrading Qt to 3.3 or qtcopy:HEAD is a good idea ? 

Comment 51 Maksim Orlovich 2004-07-13 00:35:31 UTC
*** Bug 85045 has been marked as a duplicate of this bug. ***
Comment 52 Maksim Orlovich 2004-07-22 00:46:15 UTC
*** Bug 85607 has been marked as a duplicate of this bug. ***
Comment 53 Maksim Orlovich 2004-08-16 00:32:17 UTC
*** Bug 87277 has been marked as a duplicate of this bug. ***
Comment 54 Tommi Tervo 2004-09-03 14:02:06 UTC
*** Bug 88418 has been marked as a duplicate of this bug. ***
Comment 55 Stephan Kulow 2004-11-10 20:43:44 UTC
*** Bug 93046 has been marked as a duplicate of this bug. ***